const int buttonPin = 2;  // button connected to digital pin 2
int buttonState = 0;  // variable to store button state
int lastButtonState = 0;  // variable to store last button state

void setup() {
  Serial.begin(9600);  // initialize serial communication
  pinMode(buttonPin, INPUT);  // set button pin as input with internal pull-up resistor
}

void loop() {
  // read button state
  buttonState = digitalRead(buttonPin);

  // check if button state has changed from low to high
  if (buttonState == HIGH && lastButtonState == LOW) {
    // send signal to Python program to simulate left mouse click
    Serial.println("LeftClick");
  }

    if (buttonState == LOW && lastButtonState == HIGH) {
    // send signal to Python program to simulate left mouse click
    Serial.println("off");
  }

  // update last button state
  lastButtonState = buttonState;
  delay(50);
}